Solved Problem With PlaceHolderAPI HELP

Discussion in 'Spigot Plugin Help' started by SwaguitoMc, Jul 31, 2018.

  1. hi good afertoon today i wanted to do a scoreboard in my skyblock server , I dowloaned FeatherBoard and PlaceHolderAPI so i turned on the console and the console said this:


    [PlaceholderAPI] Enabling PlaceholderAPI v2.9.1
    [21:38:27 INFO]: [PlaceholderAPI] Placeholder expansion registration initializing...
    [21:38:27 ERROR]: Error occurred while enabling PlaceholderAPI v2.9.1 (Is it up to date?)
    java.lang.NoClassDefFoundError: com/google/gson/Gson
    at me.clip.placeholderapi.expansion.cloud.ExpansionCloudManager.<init>(ExpansionCloudManager.java:54) ~[?:?]
    at me.clip.placeholderapi.PlaceholderAPIPlugin.enableCloud(PlaceholderAPIPlugin.java:182) ~[?:?]
    at me.clip.placeholderapi.PlaceholderAPIPlugin.onEnable(PlaceholderAPIPlugin.java:90) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:335) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.loadPlugin(CraftServer.java:352) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.enablePlugins(CraftServer.java:313) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.reload(CraftServer.java:742) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.Bukkit.reload(Bukkit.java:534) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:23) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:181) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchCommand(CraftServer.java:643) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchServerCommand(CraftServer.java:629) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.DedicatedServer.aM(DedicatedServer.java:353) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.DedicatedServer.z(DedicatedServer.java:317) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.MinecraftServer.y(MinecraftServer.java:623) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:526) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_144]
    Caused by: java.lang.ClassNotFoundException: com.google.gson.Gson
    at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_144]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_144]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_144]
    ... 19 more


    Thats very strange i think... and when i wanted to add Askyblock to the cloud it said that i had to turn on it so i did /papi enablecloud and the console said this :


    ERROR]: null
    org.bukkit.command.CommandException: Unhandled exception executing command 'papi' in plugin PlaceholderAPI v2.9.1
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:46) ~[Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:181) ~[Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.dispatchCommand(CraftServer.java:643) ~[Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.PlayerConnection.handleCommand(PlayerConnection.java:1083) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.PlayerConnection.a(PlayerConnection.java:918) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.PacketPlayInChat.a(PacketPlayInChat.java:26) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.PacketPlayInChat.a(PacketPlayInChat.java:53) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.PacketHandleTask.run(SourceFile:13) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_144]
    at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_144]
    at net.minecraft.server.v1_8_R1.MinecraftServer.z(MinecraftServer.java:682) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.DedicatedServer.z(DedicatedServer.java:316) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.MinecraftServer.y(MinecraftServer.java:623) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:526) [Spigot.jar:git-Spigot-da32fe1-2ba7357]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_144]
    Caused by: java.lang.NoClassDefFoundError: com/google/gson/Gson
    at me.clip.placeholderapi.expansion.cloud.ExpansionCloudManager.<init>(ExpansionCloudManager.java:54) ~[?:?]
    at me.clip.placeholderapi.PlaceholderAPIPlugin.enableCloud(PlaceholderAPIPlugin.java:182) ~[?:?]
    at me.clip.placeholderapi.commands.PlaceholderAPICommands.onCommand(PlaceholderAPICommands.java:110) ~[?:?]
    at org.bukkit.command.PluginCommand.execute(PluginCommand.java:44) ~[Spigot.jar:git-Spigot-da32fe1-2ba7357]
    ... 14 more


    And Minecraft Said An Internal Error ocurred while attempting to perform this command

    Please help!!!!!!! :(
     
  2. I am no expert but try to roll back a version or if you are not fully up to date with the plugin, update the plugin.

    Also if there are any dependencies you need, install them too.
     
  3. i had already installed the last version on bouth plugins :(
     
  4. FeatherBoard And PlaceHolderAPI doesnt have dependencies right?
     
  5. thanks but i had already installed that too :( is it my spigot version or i dont know ...
     
  6. Yup, it id your spigot version... c’mon you are using 1.8... we are already at 1.13 lol
     
    • Winner Winner x 1
  7. But many servers are on 1.8 and have this plugin i dont know what am i doing wrong
     
  8. i still need help anyone please :c